import { AnnotationLayer } from "./AnnotationLayer";
import { Series } from "./Series";
import { CategoryItemHighlightType } from "./CategoryItemHighlightType";
import { DataTemplate } from "igniteui-react-core/ES5/DataTemplate";
import { CategoryItemHighlightLayerFrame } from "./CategoryItemHighlightLayerFrame";
import { Type, Point } from "igniteui-react-core/ES5/type";
import { SeriesView } from "./SeriesView";
import { Frame } from "./Frame";
import { ItemHighlightFrameRect } from "./ItemHighlightFrameRect";
import { List$1 } from "igniteui-react-core/ES5/List$1";
import { Rect } from "igniteui-react-core/ES5/Rect";
import { Pool$1 } from "igniteui-react-core/ES5/Pool$1";
import { Rectangle } from "igniteui-react-core/ES5/Rectangle";
import { ContentControl } from "igniteui-react-core/ES5/ContentControl";
import { AnnotationLayerView } from "./AnnotationLayerView";
import { Brush } from "igniteui-react-core/ES5/Brush";
import { RenderingContext } from "igniteui-react-core/ES5/RenderingContext";
export declare class CategoryItemHighlightLayer extends AnnotationLayer {
    static $t: Type;
    constructor();
    protected bf(): SeriesView;
    il(a: SeriesView): void;
    protected mt: CategoryItemHighlightLayerView;
    mw: Series;
    m0: boolean;
    mu: CategoryItemHighlightType;
    ne: DataTemplate;
    m2: number;
    mz: boolean;
    protected ma(a: Series, b: boolean): void;
    protected lx(a: Series): boolean;
    protected mc(a: Frame, b: SeriesView): void;
    private my;
    private mx;
    protected ir(a: any, b: string, c: any, d: any): void;
    private m1;
    private nb;
    m9(a: Point, b: CategoryItemHighlightLayerFrame, c: Series): void;
    private mv;
    na(a: Rect, b: CategoryItemHighlightLayerFrame, c: Series): void;
    protected mf(a: Frame, b: SeriesView): void;
    nc(a: ItemHighlightFrameRect, b: ContentControl): void;
    nd(a: ItemHighlightFrameRect, b: Rectangle): void;
    protected c6(): boolean;
    static $$p: string[];
}
export declare class CategoryItemHighlightLayerView extends AnnotationLayerView {
    static $t: Type;
    constructor(a: CategoryItemHighlightLayer);
    protected b1: CategoryItemHighlightLayer;
    b3: Pool$1<Rectangle>;
    b2: Pool$1<ContentControl>;
    ap(): void;
    protected b4: List$1<ContentControl>;
    protected b5: List$1<Rectangle>;
    private ch;
    private cb;
    private cd;
    private cc;
    private ce;
    private b6;
    private b8;
    private b7;
    cf(a: Brush): Brush;
    cg(a: Brush): Brush;
    ca(a: Rectangle, b: number, c: number, d: number, e: number): void;
    b9(a: ContentControl, b: number, c: number): void;
    protected be(a: any, b: number): void;
    protected a3(a: RenderingContext, b: boolean): void;
    ai(a: any): void;
}
